%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Notes plugin for the Xfce panel
Name:		xfce4-notes-plugin
Version:	1.11.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-notes-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	vala
Requires:	xfce4-panel

%description
xfce4-notes-plugin is a notes panel plugin for the Xfce Desktop Environment.
It provides a simple system for managing sticky notes on your desktop.

%prep
%autosetup -p1 -Sgit_am

# Force Vala code regeneration to fix build with GCC14
find . -name "*.vala" -exec touch {} \;

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README* ChangeLog AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_libdir}/xfce4/panel/plugins/libnotes.so
%{_datadir}/xfce4/panel/plugins/xfce4-notes-plugin.desktop
%dir %{_datadir}/xfce4/notes/
%dir %{_datadir}/xfce4/notes/gtk-3.0/
%{_datadir}/xfce4/notes/gtk-3.0/gtk.css
%{_datadir}/applications/xfce4-notes.desktop
%{_iconsdir}/hicolor/*/apps/*.{png,svg}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.11.2-2.mga10
+ Revision: 2235389
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 wally <wally> 1.11.2-1.mga10
+ Revision: 2144796
- new version 1.11.2

* Sun Jan 05 2025 wally <wally> 1.11.1-1.mga10
+ Revision: 2135574
- new version 1.11.1

* Sat Aug 10 2024 wally <wally> 1.11.0-3.mga10
+ Revision: 2085277
- no need to use maintainer mode while building

* Sat Aug 10 2024 wally <wally> 1.11.0-2.mga10
+ Revision: 2084945
- fix build with GCC14

* Sun Jan 14 2024 wally <wally> 1.11.0-1.mga10
+ Revision: 2031126
- new version 1.11.0

* Sun Mar 26 2023 wally <wally> 1.10.0-1.mga9
+ Revision: 1950385
- new version 1.10.0

* Mon Apr 04 2022 umeabot <umeabot> 1.9.0-2.mga9
+ Revision: 1843473
- Mageia 9 Mass Rebuild

* Tue Jan 19 2021 wally <wally> 1.9.0-1.mga8
+ Revision: 1672552
- new version 1.9.0
- officially switch to gtk3

* Sat Jun 20 2020 wally <wally> 1.8.1-6.mga8
+ Revision: 1598106
- add upstream patches for gtk3 port
- add patches and fixes for remaining issues after upstream patches

* Fri Feb 14 2020 umeabot <umeabot> 1.8.1-5.mga8
+ Revision: 1518655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-4.mga7
+ Revision: 1301871
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 wally <wally> 1.8.1-3.mga7
+ Revision: 1170252
- rebuild for new xfconf

* Wed Feb 17 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 963563
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 wally <wally> 1.8.1-1.mga6
+ Revision: 842999
- new version 1.8.1
- drop unneeded patches
- add patch to fix str fmt

* Tue Mar 03 2015 wally <wally> 1.7.7-10.mga5
+ Revision: 817452
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.7.7-9.mga5
+ Revision: 745323
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.7.7-8.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.7-7.mga4
+ Revision: 533848
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 wally <wally> 1.7.7-6.mga4
+ Revision: 475695
- add patch to build panel plugin as plugin
- exclude plugin .so from provides

* Mon Jan 14 2013 umeabot <umeabot> 1.7.7-5.mga3
+ Revision: 386856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.7.7-4.mga3
+ Revision: 338189
- add patch to fix build with automake 1.13

* Sat Jun 30 2012 wally <wally> 1.7.7-3.mga3
+ Revision: 265433
- port to libxfce4ui (patch from PLD Linux)
- clean .spec
- import from Mdv


* Tue Apr 17 2012 Crispin Boylan <crisb@mandriva.org> 1.7.7-3mdv2012.0
+ Revision: 791558
- Rebuild

* Mon Apr 09 2012 Crispin Boylan <crisb@mandriva.org> 1.7.7-2
+ Revision: 790086
- Rebuild for xfce 4.10

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.7-1mdv2011.0
+ Revision: 594763
- update to new version 1.7.7

* Mon Oct 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.6-2mdv2011.0
+ Revision: 586598
- fix broken patch

* Tue Mar 30 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.6-1mdv2010.1
+ Revision: 529960
- update to new version 1.7.6

* Sun Mar 28 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.3-1mdv2010.1
+ Revision: 528647
- update to new version 1.7.3
- fix file list

* Sun Dec 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.2-1mdv2010.1
+ Revision: 480479
- add buildrequires on unique-devel
- update to new version 1.7.2
- fix file list
- adjust url for SOURCE0

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2010.0
+ Revision: 432907
- update to new version 1.7.1

* Wed Jun 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 388892
- update to new version 1.7.0
- fix file list

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.4-2mdv2009.1
+ Revision: 349473
- rebuild for xfce-4.6.0

* Sun Mar 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.4-1mdv2009.1
+ Revision: 346604
- update to new version 1.6.4
- add missing buildrequires on thunar-devel
- Patch0: fix building with -Werror=format-strings

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.3-1mdv2009.1
+ Revision: 306366
- update to new version 1.6.3

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.2-3mdv2009.1
+ Revision: 295003
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.6.2-2mdv2009.0
+ Revision: 269789
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 202697
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 138458
- add missing buildrequires

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.6.1

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - better description

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2008.1
+ Revision: 111375
- new version

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-3mdv2008.1
+ Revision: 110127
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING, INSTALl and NEWS files
- use upstream name

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.4.1-2mdv2008.0
+ Revision: 31035
- add %%post and %%postun scripts

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.4.1-1mdv2008.0
+ Revision: 30429
- update url
- own missing files
- new version

